<!--#include file="lable/sk.page.cs" -->  
<!--#include file="lable/Current.cs" --> 
<!--#include file="lable/Photo.cs" --> 
<!--#include file="lable/Related.cs" --> 		
<!--#include file="lable/For.cs" --> 
<!--#include file="lable/Nav.cs" --> 
<!--#include file="lable/Link.cs" -->  
<!--#include file="lable/List.cs" --> 
<%
		    Function CreateArticleList(ModeID,FolderRs)
			Dim SKCMS_Template_output,FilePath,IndexHtml,FolderDir
			Application(SkcmsCookies & "SK_Data_classification")="Folder"
			Application(SkcmsCookies & "modeid")=FolderRs("modeid")
			Application(SkcmsCookies & "classid")=FolderRs("classid")
			If Trim(FolderRs("ParentID")) = "0" Then Application(SkcmsCookies & "ModeHome")= True	Else Application(SkcmsCookies & "ModeHome") = False
			SKCMS_Template_output = Loading_template_file(MyDbPath&"skcms_style/"&skweboa.SK_sys(18)&"/"&FolderRs("FolderTemplate"))'模版	
 			If SKCMS_Template_output = "" Then SKCMS_Template_output ="模板文件丢失"
		    SKCMS_Template_output=SK_Embedded_documents(SKCMS_Template_output)
			SKCMS_Template_output = SK_CMS_Alllabelshtml(SKCMS_Template_output)'标签转换
			SKCMS_Template_output = LableFlag(SK_Built_in_label(SKCMS_Template_output))'通用标签转换
			SKCMS_Template_output =ReplaceSK_CMS_Alllabels(SKCMS_Template_output)
			IndexHtml = FolderRs("Extension")
			If Trim(IndexHtml)="" Then IndexHtml="Index.html"
 		 	If Trim(FolderRs("skweblink"))="5" Then 
				  SKCMS_Template_output=Replace(SKCMS_Template_output,"{$GetClassIntro}",FolderRs("content"))
   			   	  Call FSOSaveFile(SKCMS_Template_output,skweboa.GetPath(FolderRs("classid"),FolderRs("makehtmlname")))
			Else 
				If  FolderRs("ParentID")="0" Then 
						FilePath = SK_Data_analysis & FolderRs("ClassEName")
				Else 
						FilePath = SK_Data_analysis & FolderRs("ClassEName")
				End If 
 				Call skweboa.CreateFolder(FilePath)
				If (Application(Cstr(SkcmsCookies & "PageList")) <> "")   Then
				  Call GetPageStr(Application(Cstr(SkcmsCookies & "PageList")), IndexHtml, SKCMS_Template_output,FilePath,  True)
				  Application.Contents.Remove (SkcmsCookies & "PageList")
				Else
				
				  SKCMS_Template_output = Replace(SKCMS_Template_output,"{$pagelist}"," 首页 上一页 <strong>[1]</strong>下一页 尾页 &nbsp;<span>1/1页</span>")
				  SKCMS_Template_output=Replace(SKCMS_Template_output,"{$pagecount}",0)
				  SKCMS_Template_output=Replace(SKCMS_Template_output,"{$pagethis}",0)
				  SKCMS_Template_output=Replace(SKCMS_Template_output,"{$pagenum}",0)
				  SKCMS_Template_output = Replace(SKCMS_Template_output, "{PageListStr}", "")
			     Call FSOSaveFile(SKCMS_Template_output,FilePath & IndexHtml)
				End If 
 			 End If
		End Function
	 
		%>